Back
v1.99.3: User - Reset Password Flow (2026-09-03)

What's New


POST /adminUsers/reset-password

Request a password reset email with a reset link

POST /adminUsers/reset-password/confirm

Set a new password using a reset token from the emailed link

PATCH /candidates/{id}/check-relevant-status

Check candidate relevant status by {{id}}

What's Changed


POST /candidateDocumentTypes/{candidateDocumentTypeId}/process
POST /integrations/send-init-request
POST /candidateDocumentTypes/{candidateDocumentTypeId}/upload
Parameters:

Deleted: isMultiple in query

Upload the file as a part of a multiple files document: the document stays at the waiting uploading end status until it is completed via the process action. When disabled, the upload replaces the existing files and the auto check starts right away.

Changed: position in query

The order of the uploaded file inside the document. Every upload adds a new part of the document: only the file that already exists at this position is replaced, the other parts are kept. For documents that have "isRectoVerso = true", position must strictly define the side of the document: 0 - recto, 1 - verso.

Request:

Changed content type : multipart/form-data

  • Changed property file (string)

    The file to be uploaded. The first file of the form data is used regardless of the field name. The first file of the document may be of any type allowed for the document type, but every additional part must be an image.

GET /candidate-forms/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property status (string)

      Candidate form status used for filtering and returned by the API.

PATCH /candidate-forms/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property status (string)

      Candidate form status used for filtering and returned by the API.

PUT /candidate-forms/{id}/{action}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property status (string)

      Candidate form status used for filtering and returned by the API.

GET /candidate-forms
Parameters:

Added: filter[status] in query

Filter result by status: requested, pending, completed

Added: filter[statuses][] in query

Filter result by statuses (or): requested, pending, completed

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate Form properties

    • Changed property status (string)

      Candidate form status used for filtering and returned by the API.

POST /candidate-forms
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property status (string)

      Candidate form status used for filtering and returned by the API.

PUT /candidate-forms
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property created (array)

      Created candidate forms

      Changed items (object): > Candidate Form properties

      • Changed property status (string)

        Candidate form status used for filtering and returned by the API.

GET /integrations/logs
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Scenario for handling candidate event.

    • Added property isFormAttachmentEnabled (boolean)

      Attach a copy of the form (PDF) to the notification (only for formCompleted, formSigned, forced to false for any other event)

    • Changed property eventName (string)

      Scenario event type

      Added enum values:

      • formCompleted
      • formSigned
POST /scenarios
Request:

Changed content type : application/json

  • Added property isFormAttachmentEnabled (boolean)

    Attach a copy of the form (PDF) to the notification (only for formCompleted, formSigned, forced to false for any other event)

  • Added property forms (array)

    Scenario form ids. An empty list triggers the scenario for every form

    Items (string): > Unique identifier for the entity

  • Changed property eventName (string)

    Scenario event type

    Added enum values:

    • formCompleted
    • formSigned
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property forms (array)

      Scenario forms

      Items (object): > Form properties

      • Property id (string)

        Unique identifier for the entity

      • Property companyId (string)

        Unique identifier for the entity

      • Property signatureId (string)

        Unique identifier for the entity

      • Property name (string)

        Form name

      • Property reference (string)

        Form reference

      • Property shareCode (string)

        Form share code

      • Property type (string)

        One of Form type enumeration

        Enum values:

        • readonly
        • editable
        • file
        • combo
      • Property language (string)

        One of Form language enumeration

        Enum values:

        • en
        • fr
        • nl
        • de
        • it
        • pl
        • ro
        • sq
        • be
        • bg
        • hr
        • cs
        • da
        • et
        • fi
        • el
        • hu
        • is
        • ga
        • lv
        • lt
        • mk
        • mt
        • no
        • pt
        • ru
        • sr
        • sk
        • sl
        • es
        • sv
        • uk
        • cy
      • Property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        Items (string): > An action that a candidate must perform with a form Enum values:

        • read
        • complete
        • eSign
        • download
      • Property isMandatory (boolean)

        Is Form mandatory

      • Property isPreliminary (boolean)

        Is Form preliminary

      • Property isBlocking (boolean)

        Is the candidate screen blocking by the form popup

      • Property filename (string)

        Form filename

      • Property createdById (string)

        Unique identifier for the entity

      • Property updatedById (string)

        Unique identifier for the entity

      • Property createdAt (string)

        Datetime in ISO format

      • Property updatedAt (string)

        Datetime in ISO format

    • Added property isFormAttachmentEnabled (boolean)

      Attach a copy of the form (PDF) to the notification (only for formCompleted, formSigned, forced to false for any other event)

    • Changed property eventName (string)

      Scenario event type

      Added enum values:

      • formCompleted
      • formSigned
GET /scenarios
Parameters:

Added: includeForms in query

To include scenario 'forms' relation

Changed: filter[events][] in query

Search by scenario events (or)

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Scenario included relations

    • Added property forms (array)

      Scenario forms

    • Added property isFormAttachmentEnabled (boolean)

      Attach a copy of the form (PDF) to the notification (only for formCompleted, formSigned, forced to false for any other event)

    • Changed property eventName (string)

      Scenario event type

      Added enum values:

      • formCompleted
      • formSigned
PATCH /scenarios/{id}
Request:

Changed content type : application/json

  • Added property isFormAttachmentEnabled (boolean)

    Attach a copy of the form (PDF) to the notification (only for formCompleted, formSigned, forced to false for any other event)

  • Added property forms (array)

    Scenario form ids. An empty list triggers the scenario for every form

  • Changed property eventName (string)

    Scenario event type

    Added enum values:

    • formCompleted
    • formSigned
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property forms (array)

      Scenario forms

    • Added property isFormAttachmentEnabled (boolean)

      Attach a copy of the form (PDF) to the notification (only for formCompleted, formSigned, forced to false for any other event)

    • Changed property eventName (string)

      Scenario event type

      Added enum values:

      • formCompleted
      • formSigned
GET /scenarios/{id}
Parameters:

Added: includeForms in query

To include scenario 'forms' relation

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property forms (array)

      Scenario forms

    • Added property isFormAttachmentEnabled (boolean)

      Attach a copy of the form (PDF) to the notification (only for formCompleted, formSigned, forced to false for any other event)

    • Changed property eventName (string)

      Scenario event type

      Added enum values:

      • formCompleted
      • formSigned
GET /signature-requests
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Signature request included relations

    • Changed property candidateForm (object)

      Candidate Form properties

      • Changed property status (string)

        Candidate form status used for filtering and returned by the API.

GET /signature-requests/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidateForm (object)

      Candidate Form properties

      • Changed property status (string)

        Candidate form status used for filtering and returned by the API.